"use strict";
{
    self.C3.Plugins.Sparsha_CloudflareTrace.Exps = {
        hostname()
        {
            return this._extractString("h");
        },

        uri_scheme()
        {
            return this._extractString("visit_scheme");
        },

        userAgent()
        {
            return this._extractString("uag");
        },

        ip_address()
        {
            return this._extractString("ip");
        },

        timestamp()
        {
            return parseInt(this._extractString("ts")) * 1000;
        },

        dataCenter()
        {
            return this._extractString("colo");
        },

        http_version()
        {
            return this._extractString("http");
        },

        tls_version()
        {
            return this._extractString("tls");
        },

        country()
        {
            return this._extractString("loc");
        },

        warpStatus()
        {
            return this._extractString("warp");
        },

        sni()
        {
            return this._extractString("sni");
        },

        gatewayStatus()
        {
            return this._extractString("gateway");
        },

        serverInstance()
        {
            return this._extractString("fl");
        },

        gatewayAccountId()
        {
            return this._extractString("gateway_account_id");
        }
    };
}